query SearchHostIndexAndMyFollowings{
  instance{
    ...SearchInstance
  }
  me{
    ...SearchMe
  }
}

mutation searchFollow($url:String!){
  createFollowByUrl(url:$url){
    id
  }
}

mutation searchUnfollow($contextId:String!){
  delete(contextId:$contextId){
    __typename
  }
}

fragment SearchInstance on Instance {
    hostname
}

fragment SearchMe on Me {
  user{
    id
    followedCollections{
      edges{
        node{
          ...SearchFollowedCollection
        }
      }
    }
    followedCommunities{
      edges{
        node{
          ...SearchFollowedCommunity
        }
      }
    }
  }
}

fragment SearchFollowedCommunity on FollowedCommunity {
  follow{
    id
  }
  community{
    id
    canonicalUrl
  }
}
fragment SearchFollowedCollection on FollowedCollection {
  follow{
    id
  }
  collection{
    id
    canonicalUrl
  }
}


